Skip to main content

## Value

# Type Alias Value

Source

    pub type Value<'tcx> = Result<&'tcx FnAbi<'tcx, Ty<'tcx>>, &'tcx FnAbiError<'tcx>>;

## Aliased Type§

    pub enum Value<'tcx> {
        Ok(&'tcx FnAbi<'tcx, Ty<'tcx>>),
        Err(&'tcx FnAbiError<'tcx>),
    }

## Variants§

§

### Ok(&'tcx FnAbi<'tcx, Ty<'tcx>>)

Contains the success value

§

### Err(&'tcx FnAbiError<'tcx>)

Contains the error value

## Layout§

Note: Unable to compute type layout, possibly due to this type having generic parameters. Layout can only be computed for concrete, fully-instantiated types.